uicc.access

## Class UICCSystem

- java.lang.Object
- - uicc.access.UICCSystem

-     public class UICCSystem
      extends java.lang.Object

  The `UICCSystem class` provides a way to get a view of an UICC File system. The `FileView` objects returned by the methods of this class are permanent JCRE Entry Point Objects.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileView` | `getTheFileView(AID aid, byte event)` Method to get a reference to a FileView object on an ADF file system.
    `static FileView` | `getTheFileView(byte[] buffer, short bOffset, byte bLength, byte event)` Method to get a reference to a FileView object on an ADF file system.
    `static FileView` | `getTheUICCView(byte event)` Method to get a reference to a FileView object on the UICC file system The FileView object will only allow access to the files specified under the MF of the UICC.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTheUICCView

          public static FileView getTheUICCView(byte event)
                                         throws SystemException

      Method to get a reference to a FileView object on the UICC file system The FileView object will only allow access to the files specified under the MF of the UICC. It is not possible to get access to files which are located under any ADF with this FileView object. After a succesful invocation of the method the MF is the current selected file. This method return `null` if the `Applet.register()` has not yet been invoked or the filesystem server returns `null`
      Parameters:
        `event` - defining the transient type of the file context associated with the FileView object the following values are allowed JCSystem.NOT_A_TRANSIENT_OBJECT JCSystem.CLEAR_ON_RESET JCSystem.CLEAR_ON_DESELECT
      Returns:
        a reference to a class which implements the FileView interface
      Throws:
        `SystemException` - with the following reason codes:
        - `SystemException.ILLEGAL_VALUE` if event is not a valid event code.
        - `SystemException.NO_TRANSIENT_SPACE` if sufficient transient space is not available.
        - `SystemException.ILLEGAL_TRANSIENT` if the current applet context is not the currently selected applet context and `CLEAR_ON_DESELECT` is specified.

    - #### getTheFileView

          public static FileView getTheFileView(AID aid,
                                                byte event)
                                         throws java.lang.NullPointerException,
                                                SystemException

      Method to get a reference to a FileView object on an ADF file system. The FileView object will only allow access to Files under the ADF specified by the AID. It is not possible to access files which are not located under the ADF. After a succesful invocation of the method the ADF is the currently selected file. This method return `null` if the `Applet.register()` has not yet been invoked, or the filesystem server does not exist or the filesystem server returns `null`
      Parameters:
        `event` - defining the transient type of the file context associated with the FileView object the following values are allowed JCSystem.NOT_A_TRANSIENT_OBJECT JCSystem.CLEAR_ON_RESET JCSystem.CLEAR_ON_DESELECT
        `aid` - AID of the requested ADF
      Returns:
        a reference to a class which implements the FileView interface
      Throws:
        `java.lang.NullPointerException` - if `buffer` is `null`
        `SystemException` - with the following reason codes:
        - `SystemException.ILLEGAL_VALUE` if event is not a valid event code.
        - `SystemException.NO_TRANSIENT_SPACE` if sufficient transient space is not available.
        - `SystemException.ILLEGAL_TRANSIENT` if the current applet context is not the currently selected applet context and `CLEAR_ON_DESELECT` is specified.

    - #### getTheFileView

          public static FileView getTheFileView(byte[] buffer,
                                                short bOffset,
                                                byte bLength,
                                                byte event)
                                         throws java.lang.NullPointerException,
                                                java.lang.ArrayIndexOutOfBoundsException,
                                                SystemException

      Method to get a reference to a FileView object on an ADF file system.
      The FileView object will only allow access to Files under the ADF specified by the AID. It is not possible to access files which are not located under the ADF. After a succesful invocation of the method the ADF is the currently selected file.
      This method return `null` if the `Applet.register()` has not yet been invoked, or the filesystem server does not exist or the filesystem server returns `null`

      Notes:

      - If `bOffset` or `bLength` is negative an `ArrayIndexOutOfBoundsException` exception is thrown.
      - If `bOffset+bLength` is greater than `buffer.length`, the length of the `buffer` array an `ArrayIndexOutOfBoundsException` exception is thrown.
      Parameters:
        `buffer` - array holding the AID
        `bOffset` - offset into the buffer indicating the start of the AID
        `bLength` - length into the buffer of the AID
        `event` - defining the transient type of the file context associated with the FileView object the following values are allowed JCSystem.NOT_A_TRANSIENT_OBJECT JCSystem.CLEAR_ON_RESET JCSystem.CLEAR_ON_DESELEC
      Returns:
        a reference to an object which implements the FileView interface, or null.
      Throws:
        `java.lang.NullPointerException` - if `buffer` is `null`
        `java.lang.ArrayIndexOutOfBoundsException` - in case of access outside array bounds
        `SystemException` - with the following reason codes:
        - `SystemException.ILLEGAL_VALUE` if event is not a valid event code or `bLength` is not in the range of 5 - 16 bytes.
        - `SystemException.NO_TRANSIENT_SPACE` if sufficient transient space is not available.
        - `SystemException.ILLEGAL_TRANSIENT` if the current applet context is not the currently selected applet context and `CLEAR_ON_DESELECT` is specified.

Copyright © 2017 ETSI All Rights Reserved.